Loading...
Searching...
No Matches
webcam::Webcam Interface Reference

The webcam interface. More...

## Classes

struct | SettingsChangedEvent
| This event is emitted after the settings of a webcam were changed. More...

## Public Member Functions

Information | getInformation ()
| Retrieve information of a specific webcam.
Settings | getSettings ()
| Retrieve settings of a specific webcam.
int | setSettings (in Settings settings)
| Change settings of a specific webcam.
int | setControls (in Controls controls)
| Apply webcam control settings without storing them.
Controls | getControlDefaults ()
| Retrieve the default value of the controls.

## Detailed Description

The webcam interface.

Definition at line 86 of file Webcam.idl.

## Member Function Documentation

## getControlDefaults()

Controls webcam::Webcam::getControlDefaults | ( |  | ) |

Retrieve the default value of the controls.

Returns
  Controls

## getInformation()

Information webcam::Webcam::getInformation | ( |  | ) |

Retrieve information of a specific webcam.

Returns
  Information

## getSettings()

Settings webcam::Webcam::getSettings | ( |  | ) |

Retrieve settings of a specific webcam.

Returns
  Settings

## setControls()

int webcam::Webcam::setControls | ( | in Controls | controls | ) |

Apply webcam control settings without storing them.

Parameters

  controls | Control settings

Returns
  0 if success

## setSettings()

int webcam::Webcam::setSettings | ( | in Settings | settings | ) |

Change settings of a specific webcam.

Parameters

  settings | New webcam settings

Returns
  0 if success

The documentation for this interface was generated from the following file:

- Webcam.idl